<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToCommitCrime](./bitburner.sleeve.settocommitcrime.md)

## Sleeve.setToCommitCrime() method

Set a sleeve to commit crime.

**Signature:**

```typescript
setToCommitCrime(sleeveNumber: number, crimeType: CrimeType): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sleeveNumber


</td><td>

number


</td><td>

Index of the sleeve to start committing crime. Sleeves are numbered starting from 0.


</td></tr>
<tr><td>

crimeType


</td><td>

[CrimeType](./bitburner.crimetype.md)


</td><td>

Name of the crime.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if this action was set successfully, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not this action was set successfully (false if an invalid action is specified).

## Example


```js
// Assigns the first sleeve to Homicide.
ns.sleeve.setToCommitCrime(0, "Homicide");

// Assigns the second sleeve to Grand Theft Auto, using enum
const crimes = ns.enums.CrimeType;
ns.sleeve.setToCommitCrime(1, crimes.grandTheftAuto);
```

